<template>
    <div class="product_want_sec" v-if="Object.values(product.pricings).length > 0">
        <ValidationObserver ref="price_form">
            <div class="price_box">
                <h3>Rent it now</h3>
                <ValidationProvider name="Pricing" rules="required" v-slot="{ errors }">
                    <ul>

                        <li v-for="(pricing, i) in Object.values(product.pricings)" :key="i">
                            <label class="radio_block"><b>${{ (pricing.price * 1).toFixed(2) }}</b> <span
                                    v-if="pricing.rent_period != null">{{
                                        pricing.rent_period.name }}</span>
                                <span v-else="pricing.custom_rent_period!=null">{{ pricing.custom_rent_period }}</span>
                                <span v-if="pricing.rent_term != null">{{
                                    pricing.rent_term.name }} </span><span v-else>{{ pricing.custom_rent_term }}</span>

                                <input type="radio" name="want" v-model="selected_pricing" :value="pricing">
                                <span class="checkmark"></span> </label>
                        </li>
                        <li>

                        </li>

                    </ul>
                    <template v-if="errors.length > 0">
                      <v-alert class="no_select mx-4" dense outlined type="error">
                            Please select an option
                        </v-alert>
                    </template>
                </ValidationProvider>
            </div>
            <div class="clearfix"></div>

            <div class="need_cont">
                <label class="checkbox_block">Need it fast? Click here for next day delivery <i
                        class="fas fa-shipping-fast"></i>
                    <input type="checkbox" v-model="need_fast">
                    <span class="checkmark"></span> </label>
            </div>

            <div class="row product_detail_btns">
                <div class="col-6"><a href="javascript:;" class="btn" @click="addToCart">Add
                        to cart</a></div>
                <div class="col-6"><a href="#call_form" class="btn plain_btn">Lets chat</a></div>
                
            </div>
            <div id="call_form"></div>
        </ValidationObserver>

    </div>
</template>
<script>
import options from '~/assets/options.js'
export default {
    props: ['product', 'pricing_locations'],
    data() {
        return {
            options: options,
            need_fast: false,
            selected_pricing: (Object.values(this.product.pricings).length>0) ? Object.values(this.product.pricings)[0] : null,
        }
    },
    created() {
    },
    mounted() {
    },
    methods: {
        async addToCart() {
            this.$refs.price_form.validate().then((success) => {
                if (success) {
                    let product_data = {
                        product_id: this.product.id,
                        product: this.product,
                        product_title: this.product.name,
                        fast_delivery: this.need_fast,
                        qty: 1,
                        pickup_available: this.selected_pricing.pickup_available,
                        cartage_available: this.selected_pricing.cartage_available,
                        bond_available: this.selected_pricing.bond_available,
                        product_price: this.selected_pricing.price,
                        selected_pricing: this.selected_pricing,
                        cart_id: (this.$auth.$storage.getUniversal('cart_id') != null) ? this.$auth.$storage.getUniversal('cart_id') : null,
                        domain_id: this.$store.state.front_end_data.domain_id,
                        location: (this.$auth.$storage.getUniversal('location') != undefined) ? this.$auth.$storage.getUniversal('location') : null,
                    };
                    let google_data = [{
                        item_name: this.product.name,
                        item_id: this.product.id,
                        item_sku: this.product.model_number,
                        quantity: 1,
                        price: this.selected_pricing.price,
                        item_category: (this.product.default_category != null) ? this.product.default_category.name : "",
                    }]
                    productSelection(google_data, 'add_to_cart');
                    let cart_data = { ...product_data };
                    this.$axios.$post('/api/cart', cart_data)
                        .then((resp) => {
                            this.$auth.$storage.setUniversal('cart_id', resp);
                            window.location.href = "/cart/order-detail";
                        });
                }
            });

        },

    }
}
</script>
